Permalink
Browse files

Rename and prepare gemspec, add guard to Gemfile (but not gemspec).

  • Loading branch information...
1 parent cc73281 commit 009f9c10b8d50243a52310e140f3550f6d7363a4 Michael Bleigh committed Sep 4, 2011
Showing with 28 additions and 8 deletions.
  1. +8 −0 Gemfile
  2. +10 −0 Guardfile
  3. +3 −3 lib/omniauth/version.rb
  4. +7 −5 oa-core.gemspec → omniauth.gemspec
View
@@ -1,3 +1,11 @@
source 'http://rubygems.org'
gemspec
+
+group :development do
+ gem 'guard'
+ gem 'guard-rspec'
+ gem 'guard-bundler'
+ gem 'growl'
+ gem 'rb-fsevent'
+end
View
@@ -0,0 +1,10 @@
+guard 'rspec', :version => 2 do
+ watch(%r{^spec/.+_spec\.rb$})
+ watch(%r{^lib/(.+)\.rb$}) { |m| "spec/#{m[1]}_spec.rb" }
+ watch('spec/spec_helper.rb') { "spec/" }
+end
+
+guard 'bundler' do
+ watch('Gemfile')
+ watch(/^.+\.gemspec/)
+end
@@ -1,16 +1,16 @@
module OmniAuth
module Version
unless defined?(::OmniAuth::Version::MAJOR)
- MAJOR = 0
+ MAJOR = 1
end
unless defined?(::OmniAuth::Version::MINOR)
- MINOR = 3
+ MINOR = 0
end
unless defined?(::OmniAuth::Version::PATCH)
PATCH = 0
end
unless defined?(::OmniAuth::Version::PRE)
- PRE = "rc3"
+ PRE = "alpha"
end
unless defined?(::OmniAuth::Version::STRING)
STRING = [MAJOR, MINOR, PATCH, PRE].compact.join('.')
@@ -2,6 +2,11 @@
require File.expand_path('../lib/omniauth/version', __FILE__)
Gem::Specification.new do |gem|
+ gem.name = 'omniauth'
+ gem.description = %q{A generalized Rack framework for multiple-provider authentication.}
+ gem.authors = ['Michael Bleigh', 'Erik Michaels-Ober']
+ gem.email = ['michael@intridea.com', 'sferik@gmail.com']
+
gem.add_runtime_dependency 'rack'
gem.add_runtime_dependency 'hashie'
@@ -12,15 +17,12 @@ Gem::Specification.new do |gem|
gem.add_development_dependency 'rdiscount', '~> 1.6'
gem.add_development_dependency 'rspec', '~> 2.5'
gem.add_development_dependency 'yard', '~> 0.7'
- gem.authors = ['Michael Bleigh', 'Erik Michaels-Ober']
- gem.description = %q{Core strategies for OmniAuth.}
- gem.email = ['michael@intridea.com', 'sferik@gmail.com']
+
+ gem.version = OmniAuth::Version::STRING
gem.files = `git ls-files`.split("\n")
gem.homepage = 'http://github.com/intridea/omniauth'
- gem.name = 'oa-core'
gem.require_paths = ['lib']
gem.required_rubygems_version = Gem::Requirement.new('>= 1.3.6') if gem.respond_to? :required_rubygems_version=
gem.summary = gem.description
gem.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
- gem.version = OmniAuth::Version::STRING
end

0 comments on commit 009f9c1

Please sign in to comment.